politas

CKAN (The Comprehensive Kerbal Archive Network); v1.26.2 - Dragon

Recommended Posts

Is there a option to select the KSP instance at Startup (via a commandline parameter) ?

Share this post


Link to post
Share on other sites

Quick question: I'm looking at a mod that doesn't show up on my compatible list (because I've set the filter to show all). I'm running 1.4.2 and the mod is for 1.3.1. It's the Coyote Freighter mod. If CKAN doesn't say it's compatible, is it really incompatible, or is CKAN just comparing numbers?

Share this post


Link to post
Share on other sites
18 minutes ago, Bakkerbaard said:

Quick question: I'm looking at a mod that doesn't show up on my compatible list (because I've set the filter to show all). I'm running 1.4.2 and the mod is for 1.3.1. It's the Coyote Freighter mod. If CKAN doesn't say it's compatible, is it really incompatible, or is CKAN just comparing numbers?

In the case of that mod, CKAN is going by the version the author selected on SpaceDock:

KRYbo19.png

Share this post


Link to post
Share on other sites

Sorry if this is off topic, but how did you design the CKAN logo? (This one: ) I have not found any fonts like the KSP logo font that you used there. 

Share this post


Link to post
Share on other sites
52 minutes ago, TeslaPenguin1 said:

Sorry if this is off topic, but how did you design the CKAN logo? (This one: ) I have not found any fonts like the KSP logo font that you used there. 

You'd have to ask @Felger, apparently it was his work:

https://github.com/KSP-CKAN/CKAN/issues/240

His comments there say it was done with GIMP, so I would guess it's a free font that comes with Linux.

Share this post


Link to post
Share on other sites

A problem with downloading the Kerbalism mod (v1.6.0) has been reported and I am experiencing the same problem myself with downloading via CKAN. The mod's author has stated to contact CKAN to report the problem.

Here's a copy of the reported problems symptoms...

================================================================================

Hi all,

In first , Thanks for your job!!

I have  problem when i try to do the update by Ckan. i don t understand the error so i don t know if It s the mod , my other mod or my configuration who do that. And i don t know if i must contact you or Ckan.

The error:

"CKAN.InvalidModuleFileKraken: Kerbalism 1.6.0: C:\Users\Mephistos\AppData\Local\Temp\tmp5CDF.tmp has length 3789554, should be 3786341
   à CKAN.NetModuleCache.Store(CkanModule module, String path, String description, Boolean move)
   à CKAN.NetAsyncModulesDownloader.ModuleDownloadsComplete(NetModuleCache cache, Uri[] urls, String[] filenames, Exception[] errors)"

 

it s for update 1.5.1 to 1.6.0 on Ckan 1.25.1 for ksp 1.4.3.2152

 

Thanks for your help

================================================================================

Please help! Ican no longer download the Kerbalism mod via CKAN. Any help would be appreciated. I'm hoping it's simple and I won't have to resort to installing the mod manually. I really like using CKAN to manage my mods in use.

Share this post


Link to post
Share on other sites
13 hours ago, HebaruSan said:

Should be OK now if you click Refresh.

I'm still getting this error message...

Quote

CKAN.InvalidModuleFileKraken: Kerbalism 1.6.0: C:\Users\Gregory\AppData\Local\Temp\tmp5498.tmp has length 3789554, should be 3786341
   at CKAN.NetModuleCache.Store(CkanModule module, String path, String description, Boolean move)
   at CKAN.NetAsyncModulesDownloader.ModuleDownloadsComplete(NetModuleCache cache, Uri[] urls, String[] filenames, Exception[] errors)

And the final error window says this...

Quote

See the end of this message for details on invoking 
just-in-time (JIT) debugging instead of this dialog box.

************** Exception Text **************
CKAN.FileNotFoundKraken: Trying to install Kerbalism 1.6.0, but it's not downloaded or download is corrupted
   at CKAN.ModuleInstaller.Install(CkanModule module, String filename)
   at CKAN.ModuleInstaller.InstallList(ICollection`1 modules, RelationshipResolverOptions options, IDownloader downloader)
   at CKAN.Main.InstallMods(Object sender, DoWorkEventArgs e)
   at System.ComponentModel.BackgroundWorker.OnDoWork(DoWorkEventArgs e)
   at System.ComponentModel.BackgroundWorker.WorkerThreadStart(Object argument)


************** Loaded Assemblies **************
mscorlib
    Assembly Version: 4.0.0.0
    Win32 Version: 4.7.3110.0 built by: NET472REL1LAST_C
    CodeBase: file:///C:/Windows/Microsoft.NET/Framework64/v4.0.30319/mscorlib.dll
----------------------------------------
ckan
    Assembly Version: 1.25.0.0
    Win32 Version: 1.25.1
    CodeBase: file:///C:/Gaming%20Extras/CKAN/ckan.exe
----------------------------------------
System.Core
    Assembly Version: 4.0.0.0
    Win32 Version: 4.7.3110.0 built by: NET472REL1LAST_C
    CodeBase: file:///C:/WINDOWS/Microsoft.Net/assembly/GAC_MSIL/System.Core/v4.0_4.0.0.0__b77a5c561934e089/System.Core.dll
----------------------------------------
System
    Assembly Version: 4.0.0.0
    Win32 Version: 4.7.3056.0 built by: NET472REL1
    CodeBase: file:///C:/WINDOWS/Microsoft.Net/assembly/GAC_MSIL/System/v4.0_4.0.0.0__b77a5c561934e089/System.dll
----------------------------------------
System.Configuration
    Assembly Version: 4.0.0.0
    Win32 Version: 4.7.3056.0 built by: NET472REL1
    CodeBase: file:///C:/WINDOWS/Microsoft.Net/assembly/GAC_MSIL/System.Configuration/v4.0_4.0.0.0__b03f5f7f11d50a3a/System.Configuration.dll
----------------------------------------
System.Xml
    Assembly Version: 4.0.0.0
    Win32 Version: 4.7.3056.0 built by: NET472REL1
    CodeBase: file:///C:/WINDOWS/Microsoft.Net/assembly/GAC_MSIL/System.Xml/v4.0_4.0.0.0__b77a5c561934e089/System.Xml.dll
----------------------------------------
System.Windows.Forms
    Assembly Version: 4.0.0.0
    Win32 Version: 4.7.3056.0 built by: NET472REL1
    CodeBase: file:///C:/WINDOWS/Microsoft.Net/assembly/GAC_MSIL/System.Windows.Forms/v4.0_4.0.0.0__b77a5c561934e089/System.Windows.Forms.dll
----------------------------------------
System.Drawing
    Assembly Version: 4.0.0.0
    Win32 Version: 4.7.3056.0 built by: NET472REL1
    CodeBase: file:///C:/WINDOWS/Microsoft.Net/assembly/GAC_MSIL/System.Drawing/v4.0_4.0.0.0__b03f5f7f11d50a3a/System.Drawing.dll
----------------------------------------
System.Transactions
    Assembly Version: 4.0.0.0
    Win32 Version: 4.7.3056.0 built by: NET472REL1
    CodeBase: file:///C:/WINDOWS/Microsoft.Net/assembly/GAC_64/System.Transactions/v4.0_4.0.0.0__b77a5c561934e089/System.Transactions.dll
----------------------------------------
System.Numerics
    Assembly Version: 4.0.0.0
    Win32 Version: 4.7.3056.0 built by: NET472REL1
    CodeBase: file:///C:/WINDOWS/Microsoft.Net/assembly/GAC_MSIL/System.Numerics/v4.0_4.0.0.0__b77a5c561934e089/System.Numerics.dll
----------------------------------------
System.Runtime.Serialization
    Assembly Version: 4.0.0.0
    Win32 Version: 4.7.3056.0 built by: NET472REL1
    CodeBase: file:///C:/WINDOWS/Microsoft.Net/assembly/GAC_MSIL/System.Runtime.Serialization/v4.0_4.0.0.0__b77a5c561934e089/System.Runtime.Serialization.dll
----------------------------------------
System.Data
    Assembly Version: 4.0.0.0
    Win32 Version: 4.7.3056.0 built by: NET472REL1
    CodeBase: file:///C:/WINDOWS/Microsoft.Net/assembly/GAC_64/System.Data/v4.0_4.0.0.0__b77a5c561934e089/System.Data.dll
----------------------------------------
Microsoft.GeneratedCode
    Assembly Version: 1.0.0.0
    Win32 Version: 4.7.3056.0 built by: NET472REL1
    CodeBase: file:///C:/WINDOWS/Microsoft.Net/assembly/GAC_MSIL/System.Xml/v4.0_4.0.0.0__b77a5c561934e089/System.Xml.dll
----------------------------------------
Anonymously Hosted DynamicMethods Assembly
    Assembly Version: 0.0.0.0
    Win32 Version: 4.7.3110.0 built by: NET472REL1LAST_C
    CodeBase: file:///C:/WINDOWS/Microsoft.Net/assembly/GAC_64/mscorlib/v4.0_4.0.0.0__b77a5c561934e089/mscorlib.dll
----------------------------------------
Microsoft.CSharp
    Assembly Version: 4.0.0.0
    Win32 Version: 4.7.3056.0
    CodeBase: file:///C:/WINDOWS/Microsoft.Net/assembly/GAC_MSIL/Microsoft.CSharp/v4.0_4.0.0.0__b03f5f7f11d50a3a/Microsoft.CSharp.dll
----------------------------------------
System.Dynamic
    Assembly Version: 4.0.0.0
    Win32 Version: 4.7.3056.0
    CodeBase: file:///C:/WINDOWS/Microsoft.Net/assembly/GAC_MSIL/System.Dynamic/v4.0_4.0.0.0__b03f5f7f11d50a3a/System.Dynamic.dll
----------------------------------------
System.EnterpriseServices
    Assembly Version: 4.0.0.0
    Win32 Version: 4.7.3056.0 built by: NET472REL1
    CodeBase: file:///C:/WINDOWS/Microsoft.Net/assembly/GAC_64/System.EnterpriseServices/v4.0_4.0.0.0__b03f5f7f11d50a3a/System.EnterpriseServices.dll
----------------------------------------
Accessibility
    Assembly Version: 4.0.0.0
    Win32 Version: 4.7.3056.0 built by: NET472REL1
    CodeBase: file:///C:/WINDOWS/Microsoft.Net/assembly/GAC_MSIL/Accessibility/v4.0_4.0.0.0__b03f5f7f11d50a3a/Accessibility.dll
----------------------------------------

************** JIT Debugging **************
To enable just-in-time (JIT) debugging, the .config file for this
application or computer (machine.config) must have the
jitDebugging value set in the system.windows.forms section.
The application must also be compiled with debugging
enabled.

For example:

<configuration>
    <system.windows.forms jitDebugging="true" />
</configuration>

When JIT debugging is enabled, any unhandled exception
will be sent to the JIT debugger registered on the computer
rather than be handled by this dialog box.

Any other info needed? I'll try anything just about that may help.

Share this post


Link to post
Share on other sites
24 minutes ago, GJNelson said:

I'm still getting this error message...

You need to click Refresh if you haven't already, to fetch the fix onto your system.

Share this post


Link to post
Share on other sites

I'm having the same problem as @GJNelson . I have the exact same error messages when trying to install kerbalism. Oddly enough, CKAN was on version 1.24 and would not update itself. When I got the error it would crash. I checked versions and found 1.25 available. I replaced my CKAN with the new one. Same error comes up but, this time instead of crashing it locks up entirely forcing me to task manager kill it. Clicking "refresh" as @HebaruSan suggests has absolutely no effect. I can install this mod manually but I really hate to handle my own updates when I start getting mod crazy, which is the reason I use CKAN to begin with.

Could this be kerbalism even if I can install manually? I have installed other mods today with CKAN and discovered this problem when installing KAS, KIS, and kerbalism (and dependencies). After the error, I installed the dependencies first then KAS, then KIS, and finally Kerbalism which threw the error. It is the only mod I have found that has the problem. I'd be happy to provide any information required.

Share this post


Link to post
Share on other sites
54 minutes ago, AngrybobH said:

I have the exact same error messages when trying to install kerbalism.

Oh right, the bot reverted that fix because it still has the original versions of the download in its cache. Sorry, I forgot about that.

We can work around that by indexing it from GitHub instead of SpaceDock. I made that change just now; try clicking Refresh again.

Share this post


Link to post
Share on other sites
13 hours ago, HebaruSan said:

Oh right, the bot reverted that fix because it still has the original versions of the download in its cache. Sorry, I forgot about that.

We can work around that by indexing it from GitHub instead of SpaceDock. I made that change just now; try clicking Refresh again.

Thank you, sir. This has fixed it.

Share this post


Link to post
Share on other sites
16 hours ago, HebaruSan said:

Oh right, the bot reverted that fix because it still has the original versions of the download in its cache. Sorry, I forgot about that.

We can work around that by indexing it from GitHub instead of SpaceDock. I made that change just now; try clicking Refresh again.

Yep, works for me too, thanks!

Share this post


Link to post
Share on other sites

Hello! I'm having difficulties while trying to install several mods with CKAN. I had previously used CKAN to install 48 different mods with no errors. It seems that the mods i were attempting to install succeed to install, but I knew i should bring this to your attention so that you may resolve the problem.  Below you will find a screenshot of the error message and a spoiler with the full text of the details.

Thank you for your time, I apologize if this has been handled already but, its's better to be safe with these kinds of things.

sEpaMd2.png

Spoiler

See the end of this message for details on invoking 
just-in-time (JIT) debugging instead of this dialog box.

************** Exception Text **************
System.IO.DirectoryNotFoundException: Could not find a part of the path 'C:\Users\thadd\AppData\Local\Temp\CdFileMgr\5c54dccc-9064-4b.json'.
   at System.IO.__Error.WinIOError(Int32 errorCode, String maybeFullPath)
   at System.IO.File.InternalCopy(String sourceFileName, String destFileName, Boolean overwrite, Boolean checkHost)
   at ChinhDo.Transactions.WriteAllTextOperation.Execute()
   at ChinhDo.Transactions.TxFileManager.EnlistOperation(IRollbackableOperation operation)
   at CKAN.RegistryManager.Save(Boolean enforce_consistency)
   at CKAN.ModuleInstaller.InstallList(ICollection`1 modules, RelationshipResolverOptions options, IDownloader downloader)
   at CKAN.Main.InstallMods(Object sender, DoWorkEventArgs e)
   at System.ComponentModel.BackgroundWorker.OnDoWork(DoWorkEventArgs e)
   at System.ComponentModel.BackgroundWorker.WorkerThreadStart(Object argument)


************** Loaded Assemblies **************
mscorlib
    Assembly Version: 4.0.0.0
    Win32 Version: 4.7.3101.0 built by: NET472REL1LAST_B
    CodeBase: file:///C:/Windows/Microsoft.NET/Framework64/v4.0.30319/mscorlib.dll
----------------------------------------
ckan
    Assembly Version: 1.25.0.0
    Win32 Version: 1.25.1
    CodeBase: file:///C:/Program%20Files/Kerbal%20Space%20Program/ckan.exe
----------------------------------------
System.Core
    Assembly Version: 4.0.0.0
    Win32 Version: 4.7.3101.0 built by: NET472REL1LAST_B
    CodeBase: file:///C:/WINDOWS/Microsoft.Net/assembly/GAC_MSIL/System.Core/v4.0_4.0.0.0__b77a5c561934e089/System.Core.dll
----------------------------------------
System
    Assembly Version: 4.0.0.0
    Win32 Version: 4.7.3056.0 built by: NET472REL1
    CodeBase: file:///C:/WINDOWS/Microsoft.Net/assembly/GAC_MSIL/System/v4.0_4.0.0.0__b77a5c561934e089/System.dll
----------------------------------------
System.Configuration
    Assembly Version: 4.0.0.0
    Win32 Version: 4.7.3056.0 built by: NET472REL1
    CodeBase: file:///C:/WINDOWS/Microsoft.Net/assembly/GAC_MSIL/System.Configuration/v4.0_4.0.0.0__b03f5f7f11d50a3a/System.Configuration.dll
----------------------------------------
System.Xml
    Assembly Version: 4.0.0.0
    Win32 Version: 4.7.3056.0 built by: NET472REL1
    CodeBase: file:///C:/WINDOWS/Microsoft.Net/assembly/GAC_MSIL/System.Xml/v4.0_4.0.0.0__b77a5c561934e089/System.Xml.dll
----------------------------------------
System.Windows.Forms
    Assembly Version: 4.0.0.0
    Win32 Version: 4.7.3056.0 built by: NET472REL1
    CodeBase: file:///C:/WINDOWS/Microsoft.Net/assembly/GAC_MSIL/System.Windows.Forms/v4.0_4.0.0.0__b77a5c561934e089/System.Windows.Forms.dll
----------------------------------------
System.Drawing
    Assembly Version: 4.0.0.0
    Win32 Version: 4.7.3056.0 built by: NET472REL1
    CodeBase: file:///C:/WINDOWS/Microsoft.Net/assembly/GAC_MSIL/System.Drawing/v4.0_4.0.0.0__b03f5f7f11d50a3a/System.Drawing.dll
----------------------------------------
System.Transactions
    Assembly Version: 4.0.0.0
    Win32 Version: 4.7.3056.0 built by: NET472REL1
    CodeBase: file:///C:/WINDOWS/Microsoft.Net/assembly/GAC_64/System.Transactions/v4.0_4.0.0.0__b77a5c561934e089/System.Transactions.dll
----------------------------------------
System.Numerics
    Assembly Version: 4.0.0.0
    Win32 Version: 4.7.3056.0 built by: NET472REL1
    CodeBase: file:///C:/WINDOWS/Microsoft.Net/assembly/GAC_MSIL/System.Numerics/v4.0_4.0.0.0__b77a5c561934e089/System.Numerics.dll
----------------------------------------
System.Runtime.Serialization
    Assembly Version: 4.0.0.0
    Win32 Version: 4.7.3056.0 built by: NET472REL1
    CodeBase: file:///C:/WINDOWS/Microsoft.Net/assembly/GAC_MSIL/System.Runtime.Serialization/v4.0_4.0.0.0__b77a5c561934e089/System.Runtime.Serialization.dll
----------------------------------------
System.Data
    Assembly Version: 4.0.0.0
    Win32 Version: 4.7.3056.0 built by: NET472REL1
    CodeBase: file:///C:/WINDOWS/Microsoft.Net/assembly/GAC_64/System.Data/v4.0_4.0.0.0__b77a5c561934e089/System.Data.dll
----------------------------------------
System.EnterpriseServices
    Assembly Version: 4.0.0.0
    Win32 Version: 4.7.3056.0 built by: NET472REL1
    CodeBase: file:///C:/WINDOWS/Microsoft.Net/assembly/GAC_64/System.EnterpriseServices/v4.0_4.0.0.0__b03f5f7f11d50a3a/System.EnterpriseServices.dll
----------------------------------------
Microsoft.GeneratedCode
    Assembly Version: 1.0.0.0
    Win32 Version: 4.7.3056.0 built by: NET472REL1
    CodeBase: file:///C:/WINDOWS/Microsoft.Net/assembly/GAC_MSIL/System.Xml/v4.0_4.0.0.0__b77a5c561934e089/System.Xml.dll
----------------------------------------
Microsoft.CSharp
    Assembly Version: 4.0.0.0
    Win32 Version: 4.7.3056.0
    CodeBase: file:///C:/WINDOWS/Microsoft.Net/assembly/GAC_MSIL/Microsoft.CSharp/v4.0_4.0.0.0__b03f5f7f11d50a3a/Microsoft.CSharp.dll
----------------------------------------
System.Dynamic
    Assembly Version: 4.0.0.0
    Win32 Version: 4.7.3056.0
    CodeBase: file:///C:/WINDOWS/Microsoft.Net/assembly/GAC_MSIL/System.Dynamic/v4.0_4.0.0.0__b03f5f7f11d50a3a/System.Dynamic.dll
----------------------------------------
Anonymously Hosted DynamicMethods Assembly
    Assembly Version: 0.0.0.0
    Win32 Version: 4.7.3101.0 built by: NET472REL1LAST_B
    CodeBase: file:///C:/WINDOWS/Microsoft.Net/assembly/GAC_64/mscorlib/v4.0_4.0.0.0__b77a5c561934e089/mscorlib.dll
----------------------------------------
Accessibility
    Assembly Version: 4.0.0.0
    Win32 Version: 4.7.3056.0 built by: NET472REL1
    CodeBase: file:///C:/WINDOWS/Microsoft.Net/assembly/GAC_MSIL/Accessibility/v4.0_4.0.0.0__b03f5f7f11d50a3a/Accessibility.dll
----------------------------------------

************** JIT Debugging **************
To enable just-in-time (JIT) debugging, the .config file for this
application or computer (machine.config) must have the
jitDebugging value set in the system.windows.forms section.
The application must also be compiled with debugging
enabled.

For example:

<configuration>
    <system.windows.forms jitDebugging="true" />
</configuration>

When JIT debugging is enabled, any unhandled exception
will be sent to the JIT debugger registered on the computer
rather than be handled by this dialog box.


 

Share this post


Link to post
Share on other sites
27 minutes ago, ThaZeus said:

Thank you for your time, I apologize if this has been handled already but, its's better to be safe with these kinds of things.

Thanks for the report. I believe we're tracking this issue here: https://github.com/KSP-CKAN/CKAN/issues/2342

Unfortunately it's one of those investigation-heavy problems that are hard to solve if it's not happening to you, and none of the developers are affected so far.  Further details and a possible workaround are discussed at that link.

Share this post


Link to post
Share on other sites

I have an idea for a new feature: Would it be possible to allow users to override it's controls forcing you to only install compatible mods? Many mods don't update their mod data to add compatibility to new patch releases of the game, so there are many mods which work perfectly well in 1.4.3 but can't be installed through CKAN because they only officially support up to 1.4.2/1.4.1/1.4.0. I understand not letting users install without some sort of override because of incompatibility issues, but this would make it more useful for installing mods.

Share this post


Link to post
Share on other sites
6 minutes ago, ASCIInerd73 said:

I have an idea for a new feature: Would it be possible to allow users to override it's controls forcing you to only install compatible mods? Many mods don't update their mod data to add compatibility to new patch releases of the game, so there are many mods which work perfectly well in 1.4.3 but can't be installed through CKAN because they only officially support up to 1.4.2/1.4.1/1.4.0. I understand not letting users install without some sort of override because of incompatibility issues, but this would make it more useful for installing mods.

That's an idea for an old feature. :)

https://github.com/KSP-CKAN/CKAN/wiki/User-guide#choosing-compatible-game-versions

The usual disclaimer applies: Please do not complain to mod authors about problems encountered when installing their mods on versions they don't officially support.

Share this post


Link to post
Share on other sites

Texture replacer metadata issue:

SpaceDock shows TextureReplacer Version 3.1 for Kerbal Space Program 1.4.3 listed in CKAN.

But CKAN itself shows only version 2.7

Edited by SVlad

Share this post


Link to post
Share on other sites
35 minutes ago, SVlad said:

Texture replacer metadata issue:

SpaceDock shows TextureReplacer Version 3.1 for Kerbal Space Program 1.4.3 listed in CKAN.

But CKAN itself shows only version 2.7

Thanks for the FYI; continued in that mod's forum thread.

Share this post


Link to post
Share on other sites

KSP Interstellar Extended has been on 1.19.2 for a couple weeks(?) now, and CKAN still only shows 1.19.1.1 ... this mod typically has not had issues with CKAN metadata in the past, any idea what's going on?

Share this post


Link to post
Share on other sites
2 minutes ago, ss8913 said:

KSP Interstellar Extended has been on 1.19.2 for a couple weeks(?) now, and CKAN still only shows 1.19.1.1 ... this mod typically has not had issues with CKAN metadata in the past, any idea what's going on?

That version was indexed as 1.9.2 because that's what the author entered on SpaceDock:

Mz46nNs.png

Share this post


Link to post
Share on other sites

Newbie here,

The mod I wan't isn't showing up, but I have been told it's there. Is there something more to installing CKAN than putting all the files in a folder?

Share this post


Link to post
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.
Note: Your post will require moderator approval before it will be visible.

Guest
Reply to this topic...

×   Pasted as rich text.   Paste as plain text instead

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.